Package org.apache.struts2.interceptor

# Enum Class I18nInterceptor.Storage

java.lang.Object
java.lang.Enum<I18nInterceptor.Storage>
org.apache.struts2.interceptor.I18nInterceptor.Storage

All Implemented Interfaces:
  `Serializable`, `Comparable<I18nInterceptor.Storage>`, `Constable`

Enclosing class:
  I18nInterceptor

protected static enum I18nInterceptor.Storage extends Enum<I18nInterceptor.Storage>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCEPT_LANGUAGE`
  `COOKIE`
  `REQUEST`
  `SESSION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static I18nInterceptor.Storage`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static I18nInterceptor.Storage[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COOKIE

    public static final I18nInterceptor.Storage COOKIE

  - ### SESSION

    public static final I18nInterceptor.Storage SESSION

  - ### REQUEST

    public static final I18nInterceptor.Storage REQUEST

  - ### ACCEPT_LANGUAGE

    public static final I18nInterceptor.Storage ACCEPT_LANGUAGE

- ## Method Details

  - ### values

    public static I18nInterceptor.Storage[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static I18nInterceptor.Storage valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null